App\Library\Amazon\Classes\Collectibles:
    xml_root_name: Collectibles
    properties:
        productType:
            expose: true
            access_type: public_method
            serialized_name: ProductType
            accessor:
                getter: getProductType
                setter: setProductType
            type: App\Library\Amazon\Classes\Collectibles\ProductTypeAType
